> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bundle By Id

> Get a single bundle by ID.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/bundles.yml get /bundle_pricing/billing_bundles/{bundle_id}
openapi: 3.1.0
info:
  title: Telnyx Bundles API
  version: 2.0.0
  description: API for Bundles.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /bundle_pricing/billing_bundles/{bundle_id}:
    get:
      tags:
        - Bundles
      summary: Get Bundle By Id
      description: Get a single bundle by ID.
      operationId: GetBillingBundleById
      parameters:
        - $ref: '#/components/parameters/BundleId'
        - $ref: '#/components/parameters/AuthorizationBearer'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingBundleResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedErrorResponse'
        '404':
          $ref: '#/components/responses/bundle-pricing_NotFoundErrorResponse'
        default:
          $ref: '#/components/responses/bundle-pricing_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const billingBundle = await
            client.bundlePricing.billingBundles.retrieve(
              '8661948c-a386-4385-837f-af00f40f111a',
            );


            console.log(billingBundle.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            billing_bundle = client.bundle_pricing.billing_bundles.retrieve(
                bundle_id="8661948c-a386-4385-837f-af00f40f111a",
            )
            print(billing_bundle.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tbillingBundle, err := client.BundlePricing.BillingBundles.Get(\n\t\tcontext.TODO(),\n\t\t\"8661948c-a386-4385-837f-af00f40f111a\",\n\t\ttelnyx.BundlePricingBillingBundleGetParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", billingBundle.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.bundlepricing.billingbundles.BillingBundleRetrieveParams;

            import
            com.telnyx.sdk.models.bundlepricing.billingbundles.BillingBundleRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    BillingBundleRetrieveResponse billingBundle = client.bundlePricing().billingBundles().retrieve("8661948c-a386-4385-837f-af00f40f111a");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            billing_bundle =
            telnyx.bundle_pricing.billing_bundles.retrieve("8661948c-a386-4385-837f-af00f40f111a")


            puts(billing_bundle)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $billingBundle = $client->bundlePricing->billingBundles->retrieve(
                '8661948c-a386-4385-837f-af00f40f111a',
                authorizationBearer: 'authorization_bearer',
              );

              var_dump($billingBundle);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx bundle-pricing:billing-bundles retrieve \
              --api-key 'My API Key' \
              --bundle-id 8661948c-a386-4385-837f-af00f40f111a
components:
  parameters:
    BundleId:
      required: true
      schema:
        title: Bundle Id
        type: string
        format: uuid
        example: 8661948c-a386-4385-837f-af00f40f111a
        description: >-
          Billing bundle's ID, this is used to identify the billing bundle in
          the API.
      name: bundle_id
      in: path
    AuthorizationBearer:
      name: authorization_bearer
      in: header
      schema:
        type: string
        description: Authenticates the request with your Telnyx API V2 KEY
      description: 'Format: Bearer <TOKEN>'
  schemas:
    BillingBundleResponse:
      title: BillingBundleResponse
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BillingBundleSchema'
    BillingBundleSchema:
      title: BillingBundleSchema
      required:
        - id
        - name
        - cost_code
        - active
        - is_public
        - created_at
        - bundle_limits
      type: object
      properties:
        id:
          title: Id
          type: string
          format: uuid
          example: 7ecd040e-6bac-4139-9160-3c0427d98fea
          description: Bundle's ID, this is used to identify the bundle in the API.
        name:
          title: Name
          type: string
          example: Australia Basic
          description: Bundle's name, this is used to identify the bundle in the UI.
        slug:
          title: Slug
          type: string
          example: basic-au-e4f8
          description: Slugified version of the bundle's name.
        cost_code:
          title: Cost Code
          type: string
          example: BUNDLE-PRICING-BASIC-MRC
          description: >-
            Bundle's cost code, this is used to identify the bundle in the
            billing system.
        active:
          title: Active
          type: boolean
          description: If that bundle is active or not.
        is_public:
          title: Is Public
          type: boolean
          description: Available to all customers or only to specific customers.
        created_at:
          title: Created At
          type: string
          format: date
          description: Date the bundle was created.
        bundle_limits:
          title: Bundle Limits
          type: array
          items:
            $ref: '#/components/schemas/BundleLimitSchema'
    BundleLimitSchema:
      title: BundleLimitSchema
      required:
        - id
        - service
        - metric
        - created_at
        - updated_at
      type: object
      properties:
        id:
          title: Id
          type: string
          format: uuid
          example: e6a32ea9-953b-4622-bbba-9f7bcf7e6717
        service:
          title: Service
          type: string
          example: E911
        metric:
          title: Metric
          type: string
          example: number
        limit:
          title: Limit
          type: integer
          example: 1
        rate:
          title: Rate
          type: string
          example: '5'
        country_iso:
          title: Country Iso
          type: string
          example: AU
        country_code:
          title: Country Code
          type: integer
          example: 61
        country:
          title: Country
          type: string
          description: Use country_iso instead
          deprecated: true
        direction:
          $ref: '#/components/schemas/BundleLimitDirection'
        types:
          title: Types
          type: array
          items:
            type: string
            example: local
        created_at:
          title: Created At
          type: string
          format: date
        updated_at:
          title: Updated At
          type: string
          format: date
        billing_service:
          title: Billing Service
          type: string
          example: emergency
    BundleLimitDirection:
      title: BundleLimitDirection
      enum:
        - inbound
        - outbound
      type: string
      description: An enumeration.
  responses:
    UnauthorizedErrorResponse:
      description: Authentication required or invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    code:
                      type: string
                    title:
                      type: string
                    detail:
                      type: string
    bundle-pricing_NotFoundErrorResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    code:
                      type: string
                    title:
                      type: string
                    detail:
                      type: string
    bundle-pricing_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    code:
                      type: string
                    title:
                      type: string
                    detail:
                      type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````